[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# AnsiDequotedStr

Extract string without quotes

## Declaration

Source position: sysstrh.inc line 110

`function AnsiDequotedStr(`
`const S: string;`
`AQuote: Char`
`):string;`

## Description

AnsiDequotedStr is, similar to AnsiExtractQuotedStr, a method to extract a string that was quoted using AnsiQuotedStr. The string S must start and end with the quote character AQuote (they will be removed from the result) and all double occurrences of the quote character AQuote will be reduced to a single quote character.

## Errors

If the string does not start and end with the quote character or has length less than 2, the original string is returned.

## See also

AnsiExtractQuotedStr |  | Removes the first quoted string from a string.
AnsiQuotedStr |  | Return a quoted version of a string.